# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.entity_read import EntityRead

class TestEntityRead(unittest.TestCase):
    """EntityRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> EntityRead:
        """Test EntityRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `EntityRead`
        """
        model = EntityRead()
        if include_optional:
            return EntityRead(
                id = 'e',
                blueprint_id = 'e',
                title = '0',
                description = '',
                is_active = True,
                is_hidden = True,
                properties = magneto_api_client.models.properties.Properties(),
                relations = {
                    'key' : {
                        'key' : null
                        }
                    },
                sources = {
                    'key' : {
                        'key' : null
                        }
                    },
                created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                created_by = 56,
                updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                updated_by = 56
            )
        else:
            return EntityRead(
                id = 'e',
                blueprint_id = 'e',
                title = '0',
                created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
        )
        """

    def testEntityRead(self):
        """Test EntityRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
